Overview
Comment: | More fixes to make native Windows builds work. |
---|---|
Downloads: | Tarball | ZIP archive | SQL archive |
Timelines: | family | ancestors | descendants | both | winFixes |
Files: | files | file ages | folders |
SHA1: |
37850a79ad789b0d6266d04d85c9d1f1 |
User & Date: | mistachkin on 2013-10-31 02:43:32 |
Other Links: | branch diff | manifest | tags |
Context
2013-11-05
| ||
08:09 | Update versions of the thread and zlib packages. check-in: 0f67789517 user: mistachkin tags: winFixes | |
2013-10-31
| ||
02:43 | More fixes to make native Windows builds work. check-in: 37850a79ad user: mistachkin tags: winFixes | |
2013-10-20
| ||
03:11 | Updated icon (courtesy of C. Shults) check-in: ef6ac5d932 user: rkeene tags: trunk | |
Changes
Modified README from [2bc0f41d6f] to [4484aed13d].
︙ | |||
137 138 139 140 141 142 143 | 137 138 139 140 141 142 143 144 145 146 147 148 149 150 | - - | packages from Tcl build. This excludes the following packages: tcltest Additionally, any bundled packages (in the "pkgs" directory) are excluded. This typically includes (as of Tcl 8.6): itcl thread |
︙ |
Modified kitcreator from [b1de5629ac] to [87e5c86889].
︙ | |||
13 14 15 16 17 18 19 20 21 22 23 24 25 26 | 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 | + + + + | TCLVERS="8.6.1" if echo "$1" | grep '^[0-9][0-9]*\.' >/dev/null || echo "$1" | egrep '^(cvs|fossil)_' >/dev/null; then TCLVERS="$1" shift fi export TCLVERS # Determine the two part Tcl version TCLVERS2=$(echo ${TCLVERS} | cut -d. -f1,2) export TCLVERS2 # Verify that "pre.sh" has been run if this is a development snapshot of # KitCreator if [ -f 'build/pre.sh' ]; then if ! find 'kitsh/buildsrc/' -name configure -type f 2>/dev/null | grep configure >/dev/null; then echo "Please remember to run 'build/pre.sh' if you expect this build to work." >&2 fi |
︙ |
Modified kitsh/build.sh from [d39ebd9770] to [644f3a91bd].
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 | 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 | + + + + + | #! /usr/bin/env bash if [ ! -f 'build.sh' ]; then echo 'ERROR: This script must be run from the directory it is in' >&2 exit 1 fi if [ -z "${TCLVERS}" ]; then echo 'ERROR: The TCLVERS environment variable is not set' >&2 exit 1 fi if [ -z "${TCLVERS2}" ]; then echo 'ERROR: The TCLVERS2 environment variable is not set' >&2 exit 1 fi KITSHVERS="0.0" BUILDDIR="$(pwd)/build/kitsh-${KITSHVERS}" OUTDIR="$(pwd)/out" INSTDIR="$(pwd)/inst" OTHERPKGSDIR="$(pwd)/../" export KITSHVERS BUILDDIR OUTDIR INSTDIR OTHERPKGSDIR |
︙ | |||
201 202 203 204 205 206 207 | 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 | + + + - + | ## Bootstrap (cannot cross-compile) ### Call installer cp kit runkit echo "set argv [list {${KITTARGET_NAME}} starpack.vfs {${ENABLECOMPRESSION}}]" > setup.tcl echo 'if {[catch { clock seconds }]} { proc clock args { return 0 } }' >> setup.tcl echo 'source installvfs.tcl' >> setup.tcl TCL_LIBRARY="$(pwd)/starpack.vfs/lib/tcl${TCLVERS2}" export TCL_LIBRARY |
︙ |
Modified kitsh/buildsrc/kitsh-0.0/installvfs.tcl from [5bb6ad9ccb] to [ea792ed6a5].
︙ | |||
9 10 11 12 13 14 15 16 17 18 19 20 21 22 | 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 | + + + + + | } set kitfile [lindex $argv 0] set vfsdir [lindex $argv 1] if {[lindex $argv 2] != ""} { set opt_compression [lindex $argv 2] } # On Windows, use the ".exe" file extension if {$tcl_platform(platform) eq "windows"} { set kitfile [file rootname $kitfile].exe } # Determine what storage mechanism is being used set fd [open Makefile.common r] set data [read $fd] close $fd if {[string match "*KIT_STORAGE_ZIP*" $data]} { |
︙ |
Deleted tcl/patchscripts/minbuild-nooo.sh version [5b6fd738e8].
| - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - |
|